Subject: Re: linux-next: build failure after merge of the moduleh tree

From: Paul Gortmaker <[email-masked]>
Date: Sun, 31 Jul 2011 00:45:41 -0400

[linux-next: build failure after merge of the moduleh tree] On 29/07/2011 (Fri 15:10) Stephen Rothwell wrote:

[...]

> I have added this commit for today:
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Fri, 29 Jul 2011 15:03:54 +1000
> Subject: [PATCH] Partial revert of commit d03b684f1773

I've just fixed the original rather than introduce a revert,
since I'm moving ahead to the latest in order to at least
catch some of these new drivers that showed up in linux-next.

Thanks,
Paul.

> 
> "kernel: Map most files to use export.h instead of module.h"
> 
> This file need module.h
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  kernel/jump_label.c |    2 +-
>  1 files changed, 1 insertions(+), 1 deletions(-)
> 
> diff --git a/kernel/jump_label.c b/kernel/jump_label.c
> index d636f85..a8ce450 100644
> --- a/kernel/jump_label.c
> +++ b/kernel/jump_label.c
> @@ -7,7 +7,7 @@
>   */
>  #include <linux/memory.h>
>  #include <linux/uaccess.h>
> -#include <linux/export.h>
> +#include <linux/module.h>
>  #include <linux/list.h>
>  #include <linux/slab.h>
>  #include <linux/sort.h>
> -- 
> 1.7.5.4
> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/